<?php 
session_start();
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
		$id=$_POST['id']; 
		$tipo=$_POST['tipo']; 
		$imagen=$_FILES['imagen_cabecera']['name'];
		$titulo = $_POST['titulo'];
		$descripcion = $_POST['cuerpo_interno'];
		$video = $_POST['video'];    
		$imagen_bd=$_POST['imagen_bd'];
		$sector = $_POST['sector'];  
		$id_v = filter_var($id,  FILTER_VALIDATE_INT);
		$tipo_v = filter_var($tipo,  FILTER_SANITIZE_STRING);		
		$titulo_v = filter_var($titulo,  FILTER_SANITIZE_STRING);
		$descripcion_v = filter_var($descripcion,  FILTER_SANITIZE_STRING);		
		$imagen_bd_v = filter_var($imagen_bd,  FILTER_SANITIZE_STRING);
		$sector_v = filter_var($sector,  FILTER_SANITIZE_STRING);
		if($id_v && $sector_v && $titulo_v && $descripcion_v && $tipo_v){	
				if($tipo_v == 1){
					$imagen_v = filter_var($imagen,  FILTER_SANITIZE_STRING);
						$img_file_cabecera=$_FILES['imagen_cabecera'];
						$array_img=array($img_file_cabecera,$img_file_interna);
						$sql  = "UPDATE exito SET titulo='". mysqli_real_escape_string($con,$titulo_v)."',descripcion='$descripcion',sector=".mysqli_real_escape_string($con,$sector_v);
						$dir="img/casosexito/";
						if($imagen != ""){					
								$restriccion="";
								$fin=0;							
								list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_file_cabecera,"","",$dir);										
								if($valorSubida1 = "1"){
									$imagen=$nuevos_nombres[0];
									$estado=1;
									$sql .= ",imagen_cabecera='$imagen' WHERE id=". mysqli_real_escape_string($con,$id_v);							
									if(mysqli_query($con,$sql)){
										echo "Actualizando...";
									    chmod($dir.$imagen_bd_v, 0777);
									    unlink($dir.$imagen_bd_v);
									?>
										<script type="text/javascript">
										  redireccionarPagina();
										</script>
									<?php
									}else{
											echo "Error al actualizar, por favor intente denuevo";
											?>
											<script type="text/javascript">
											redireccionarPagina();
											</script>
										<?php
									}
								}else{
									echo "Error al subir las imágenes, por favor intente denuevo";
											?>
											<script type="text/javascript">
											redireccionarPagina();
											</script>
										<?php
								}  
						}else{

							$sql= "UPDATE exito SET titulo='". mysqli_real_escape_string($con,$titulo_v)."',descripcion='$descripcion',sector=". mysqli_real_escape_string($con,$sector_v)." WHERE id=". mysqli_real_escape_string($con,$id_v);
						    if(mysqli_query($con,$sql)){
							echo "Actualizando...";		
							?>
								<script type="text/javascript">
									redireccionarPagina();
								</script>
							<?php
							}else{
									echo "Error al actualizar, por favor intente denuevo";
								?>
								<script type="text/javascript">
									window.location.href = "casosexito.php";
								</script>
							<?php
							}
						}	
				/*si es video*/		
				}else if($tipo_v == 2){
					$video_v = filter_var($video,  FILTER_SANITIZE_STRING);
					if ($video_v != ""){
						$sql= "UPDATE exito SET titulo='". mysqli_real_escape_string($con,$titulo_v)."',tipo=". mysqli_real_escape_string($con,$tipo_v).",imagen_cabecera='',video='". mysqli_real_escape_string($con,$video_v)."',descripcion='$descripcion',sector=". mysqli_real_escape_string($con,$sector_v)." WHERE id=".mysqli_real_escape_string($con,$id_v);
					    if(mysqli_query($con,$sql)){
						echo "Actualizando...";
						?>
							<script type="text/javascript">
								window.location.href = "casosexito.php";
							</script>
						<?php
						}else{
							echo "Error al actualizar, por favor intente denuevo";
							?>
							<script type="text/javascript">
							redireccionarPagina();
							</script>
							<?php
						}
					}else{
							$sql= "UPDATE exito SET titulo='". mysqli_real_escape_string($con,$titulo_v)."',descripcion='$descripcion',sector=". mysqli_real_escape_string($con,$sector_v)." WHERE id=".mysqli_real_escape_string($con,$id_v);
						    if(mysqli_query($con,$sql)){
							echo "Actualizando...";		
							?>
							<script type="text/javascript">
								redireccionarPagina();
							</script>
							<?php
							}else{
							echo "Error al actualizar, por favor intente denuevo";
									?>

									<script type="text/javascript">
									redireccionarPagina();
									</script>
							<?php
							}
					}

				}		
		}else{
			echo "Lo sentimos, los datos son íncompletos o son incorrectos";
			?>
			<script type="text/javascript">
			redireccionarPagina();
			</script>
		<?php
		}
	
	}		
?>
<script type="text/javascript">
	function redireccionarPagina() {
		 window.location = "casosexito.php";
	}
	setTimeout("redireccionarPagina()", 1000);
</script>

